//
// Created by jovian on 16/07/17.
//

#ifndef HELLOSDL_TEXTURER_H
#define HELLOSDL_TEXTURER_H

#include <iostream>
#include <SDL.h>
#include <SDL_image.h>


void logSDLError(std::ostream &os, const std::string &msg);

SDL_Texture* loadTexture(const std::string &file, SDL_Renderer *ren);

void renderTexture(SDL_Texture *tex, SDL_Renderer *ren, int x, int y, bool centered = false);
void renderTexture(SDL_Texture *tex, SDL_Renderer *ren, int x, int y, int w, int h, bool centered = false);
void renderTexture(SDL_Texture *tex, SDL_Renderer *ren, int x, int y, double angle, bool centered = false);
void renderTexture(SDL_Texture *tex, SDL_Renderer *ren, int x, int y, double angle, int w, int h, bool centered = false);

#endif //HELLOSDL_TEXTURER_H
